PrivilegeControllerGetEffectiveAccountPrivilegesForAccount Method |
GET /Privilege/EffectiveAccountApplicationPrivileges/{id}
Gets the effective application privileges for a specified account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpGetAttribute]
[ActionNameAttribute("EffectiveAccountApplicationPrivileges")]
public HttpResponseMessage GetEffectiveAccountPrivilegesForAccount(
Guid id,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("EffectiveAccountApplicationPrivileges")>
Public Function GetEffectiveAccountPrivilegesForAccount (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"EffectiveAccountApplicationPrivileges")]
HttpResponseMessage^ GetEffectiveAccountPrivilegesForAccount(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("EffectiveAccountApplicationPrivileges")>]
member GetEffectiveAccountPrivilegesForAccount :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the account to get the effective privilege assignments for. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessage
An array of
Guid object containing requested information or a status code indicating the reason for a failure.
See Also